cubicweb-libraryui #3824925 Fails to install on pip install cubicweb-leaflet [open]

Traceback

$ python setup.py install
[snip]
copying data/jquery.jcarousel.tango-skin.css -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/data
copying data/800px-Beinecke_Library_interior_2.JPG -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/data
creating /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/i18n
copying i18n/fr.po -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/i18n
copying i18n/en.po -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/i18n
copying i18n/es.po -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/i18n
creating /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/migration
copying migration/postcreate.py -> /home/arthur/.virtualenvs/cubicweb/share/cubicweb/cubes/libraryui/migration
creating build
creating build/bdist.linux-x86_64
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/not-zip-safe -> build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying cubicweb_libraryui.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
creating dist
creating 'dist/cubicweb_libraryui-0.1.0-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing cubicweb_libraryui-0.1.0-py2.7.egg
creating /home/arthur/.virtualenvs/cubicweb/lib/python2.7/site-packages/cubicweb_libraryui-0.1.0-py2.7.egg
Extracting cubicweb_libraryui-0.1.0-py2.7.egg to /home/arthur/.virtualenvs/cubicweb/lib/python2.7/site-packages
Adding cubicweb-libraryui 0.1.0 to easy-install.pth file

Installed /home/arthur/.virtualenvs/cubicweb/lib/python2.7/site-packages/cubicweb_libraryui-0.1.0-py2.7.egg
Processing dependencies for cubicweb-libraryui==0.1.0
Searching for cubicweb-leaflet
Reading https://pypi.python.org/simple/cubicweb-leaflet/
Best match: cubicweb-leaflet 0.1.0
Downloading https://pypi.python.org/packages/source/c/cubicweb-leaflet/cubicweb-leaflet-  0.1.0.tar.gz#md5=25805af255439048884a1b4ce1e7b7a7
Processing cubicweb-leaflet-0.1.0.tar.gz
Writing /tmp/easy_install-lPWDPi/cubicweb-leaflet-0.1.0/setup.cfg
Running cubicweb-leaflet-0.1.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-lPWDPi/cubicweb-leaflet-0.1.0/egg-dist-tmp-3BFLfG
warning: MyInstallLib: 'build/lib.linux-x86_64-2.7' does not exist -- no Python modules to install

error: Setup script exited with error: can't copy 'hooks.py': doesn't exist or not a regular file

pip install cubicweb-leaflet works fine on it's own, retrying python setup.py install fails the same way on cubicweb-bootstrap

prioritynormal
typebug
done in<not specified>
closed by<not specified>